FieldSelectorResult (Lucene 3.6.2 API)
Keywords: org.apache.lucene.document.FieldSelectorResult class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.document
Enum FieldSelectorResult

    java.lang.Object
      java.lang.Enum<FieldSelectorResult>
          org.apache.lucene.document.FieldSelectorResult

All Implemented Interfaces:
  Serializable, Comparable<FieldSelectorResult>

    public enum FieldSelectorResult

extends Enum<FieldSelectorResult>

Provides information about what should be done with this Field

Enum Constant Summary
`LATENT` Lazily load this `Field`, but do not cache the result.
`LAZY_LOAD` Lazily load this `Field`.
`LOAD` Load this `Field` every time the `Document` is loaded, reading in the data as it is encountered.
`LOAD_AND_BREAK` Load this field as in the `LOAD` case, but immediately return from `Field` loading for the `Document`.
`NO_LOAD` Do not load the `Field`.
`SIZE` Expert: Load the size of this `Field` rather than its value.
`SIZE_AND_BREAK` Expert: Like `SIZE` but immediately break from the field loading loop, i.e., stop loading further fields, after the size is loaded

Method Summary
`static FieldSelectorResult` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FieldSelectorResult[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LOAD

    public static final FieldSelectorResult LOAD

  Load this `Field` every time the `Document` is loaded, reading in the data as it is encountered. `Document.getField(String)` and `Document.getFieldable(String)` should not return null.

  `Document.add(Fieldable)` should be called by the Reader.

### LAZY_LOAD

    public static final FieldSelectorResult LAZY_LOAD

  Lazily load this `Field`. This means the `Field` is valid, but it may not actually contain its data until invoked. `Document.getField(String)` SHOULD NOT BE USED. `Document.getFieldable(String)` is safe to use and should return a valid instance of a `Fieldable`.

  `Document.add(Fieldable)` should be called by the Reader.

### NO_LOAD

    public static final FieldSelectorResult NO_LOAD

  Do not load the `Field`. `Document.getField(String)` and `Document.getFieldable(String)` should return null. `Document.add(Fieldable)` is not called.

  `Document.add(Fieldable)` should not be called by the Reader.

### LOAD_AND_BREAK

    public static final FieldSelectorResult LOAD_AND_BREAK

  Load this field as in the `LOAD` case, but immediately return from `Field` loading for the `Document`. Thus, the Document may not have its complete set of Fields. `Document.getField(String)` and `Document.getFieldable(String)` should both be valid for this `Field`

  `Document.add(Fieldable)` should be called by the Reader.

### SIZE

    public static final FieldSelectorResult SIZE

  Expert: Load the size of this `Field` rather than its value. Size is measured as number of bytes required to store the field == bytes for a binary or any compressed value, and 2*chars for a String value. The size is stored as a binary value, represented as an int in a byte[], with the higher order byte first in [0]

### SIZE_AND_BREAK

    public static final FieldSelectorResult SIZE_AND_BREAK

  Expert: Like `SIZE` but immediately break from the field loading loop, i.e., stop loading further fields, after the size is loaded

### LATENT

    public static final FieldSelectorResult LATENT

  Lazily load this `Field`, but do not cache the result. This means the `Field` is valid, but it may not actually contain its data until invoked. `Document.getField(String)` SHOULD NOT BE USED. `Document.getFieldable(String)` is safe to use and should return a valid instance of a `Fieldable`.

  `Document.add(Fieldable)` should be called by the Reader.

Method Detail

### values

    public static final FieldSelectorResult[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FieldSelectorResult c : FieldSelectorResult.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FieldSelectorResult valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD